package com.huiju.estateagents.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.common.CommConstant;
import com.huiju.estateagents.entity.TaBuildingBlock;
import com.huiju.estateagents.entity.TaHousingResources;
import com.huiju.estateagents.mapper.TaHousingResourcesMapper;
import com.huiju.estateagents.service.ITaHousingResourcesService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 房源表  服务实现类
 * </p>
 *
 * @author jobob
 * @since 2020-02-10
 */
@Service
public class TaHousingResourcesServiceImpl extends ServiceImpl<TaHousingResourcesMapper, TaHousingResources> implements ITaHousingResourcesService {

    @Autowired
    private TaHousingResourcesMapper taHousingResourcesMapper;
    /**
     * 分页获取房源详情数据
     *
     * @param salesBatchId
     * @param buildingId
     * @param pageNumber
     * @param pageSize
     * @param orgId
     * @return
     */
    @Override
    public ResponseBean selectPageList(Integer salesBatchId, String buildingId, Integer pageNumber, Integer pageSize, Integer orgId) {
        //使用分页插件
        IPage<TaHousingResources> pg = new Page<>(pageNumber, pageSize);
        QueryWrapper<TaHousingResources> queryWrapper = new QueryWrapper<>();
        //销售批次id
        queryWrapper.eq("sales_batch_id",salesBatchId);
        queryWrapper.eq("building_id",buildingId);
        queryWrapper.eq("org_id",orgId);
        queryWrapper.eq("status", CommConstant.STATUS_NORMAL);
        queryWrapper.orderByDesc("create_date");
        IPage<TaHousingResources> list = this.page(pg, queryWrapper);

        return ResponseBean.success(list);
    }
}
